common:
    target:
        - lpc4322_jet100
    core:
        - Cortex-M4
    macros:
        - INTERFACE_LPC4322
        - CORE_M4
        - INTERNAL_FLASH
        - DAPLINK_HIC_ID=0x97969905  # DAPLINK_HIC_ID_LPC4322
        - OS_CLOCK=96000000
    includes:
        - source/hic_hal/nxp/lpc4322
        - source/hic_hal/nxp/lpc4322
    sources:
        hic_hal:
            - source/hic_hal/nxp/lpc4322
            - source/hic_hal/nxp/lpc4322/armcc
            - source/hic_hal/nxp/lpc4322

tool_specific:
    uvision:
        misc:
            ld_flags:
                - --predefine="-I..\..\..\source\hic_hal\nxp\lpc4322"
    make_armcc:
        misc:
            ld_flags:
                - --predefine="-Isource\hic_hal\nxp\lpc4322"
